> ## Documentation Index
> Fetch the complete documentation index at: https://www.bugzy.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create execution



## OpenAPI

````yaml /openapi/v1.json post /projects/{id}/executions
openapi: 3.1.0
info:
  title: Bugzy API
  description: >-
    Programmatic access to Bugzy's QA automation capabilities. Trigger test
    runs, query results, manage schedules, and configure event triggers.
  version: 1.0.0
  contact:
    name: Bugzy Support
    url: https://www.bugzy.ai
servers:
  - url: https://bugzy.ai/api/v1
    description: Production
security:
  - bearerAuth: []
paths:
  /projects/{id}/executions:
    post:
      tags:
        - Executions
      summary: Create execution
      operationId: createExecution
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                taskSlug:
                  type: string
                  enum:
                    - generate-test-plan
                    - generate-test-cases
                    - explore-application
                    - run-tests
                    - verify-changes
                    - verify-changes-on-ticket
                    - verify-changes-on-deployment
                parameters:
                  type: object
                environmentId:
                  type: string
                  format: uuid
              required:
                - taskSlug
            example:
              taskSlug: run-tests
      responses:
        '201':
          description: Execution created
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      executionId:
                        type: string
                        format: uuid
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Project API key (bzy_proj_*) for project routes or team API key
        (bzy_team_*) for selected team routes.

````